Authentication Request
POST
/authentication
const url = 'http://pay.caspeco.net/authentication';const options = { method: 'POST', headers: { Location: 'http://pay.caspeco.net/v1/authentication', Host: 'pay.caspeco.net', Date: 'Tue, 15 Nov 2014 08:12:31 GMT', Digest: 'SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=', 'Content-Type': 'application/json' }, body: '{"CustomerId":"46731231231","Password":"ABC123"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://pay.caspeco.net/authentication \ --header 'Content-Type: application/json' \ --header 'Date: Tue, 15 Nov 2014 08:12:31 GMT' \ --header 'Digest: SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=' \ --header 'Host: pay.caspeco.net' \ --header 'Location: http://pay.caspeco.net/v1/authentication' \ --data '{ "CustomerId": "46731231231", "Password": "ABC123" }'Authenticates a customer.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Request Body
Section titled “Request Body”Media typeapplication/json
object
CustomerId
string
Password
string
Example
{ "CustomerId": "46731231231", "Password": "ABC123"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
AuthenticationToken
string
IsAuthenticated
boolean
CustomerName
string
CustomerNumber
string
Msisdn
string
Examples
Exampleresponse
{ "AuthenticationToken": "aaa111das092WIXTFow1w23", "IsAuthenticated": true, "CustomerName": "Harry Kane", "CustomerNumber": "5852165", "Msisdn": "4670112233"}Headers
Section titled “Headers”Location
string